package cn.service.atv;

import java.util.Map;
import com.alibaba.fastjson2.JSONObject;
import cn.common.page.response.Result;
import cn.pojo.entity.TSysUser;

public interface IAtvAppService
{
	/**首页用户重置密码*/
	 Result<?> changPassword(JSONObject json);
	 
	/**查询我的上报故障列表*/
	Result<?> queryMyFaultList(Map<String,Object> paramMap);

	/**根据用户账号和请求地址判断是否有此权限*/
	boolean hasPermission(String username, String url);
	/**依据用户账号，校验用户是否有效*/
	Result<?> checkUserIsEffective(String username);
	
	/**获取当前登录用户信息*/
	TSysUser getCurrentUser();
}
